MINARA

Update media provider settings

PUT /v1/media/settings — Selects the Fal.ai authentication method or the default image and video endpoints. Existing model selections are preserv

PUT /v1/media/settings

Selects the Fal.ai authentication method or the default image and video endpoints. Existing model selections are preserved when omitted.

MethodPUT
Path/v1/media/settings
AuthAuthorization: Bearer <token> required
Categorymedia

Request body

{ "preferredAuth": "api-key", "imageModel": "openai/gpt-image-2", "videoModel": "bytedance/seedance-2.0/fast/text-to-video" }

Response body

{ "settings": { "preferredAuth": "api-key", "imageModel": "openai/gpt-image-2", "videoModel": "bytedance/seedance-2.0/fast/text-to-video" }, "provider": { "provider": "fal", "activeAuth": "api-key" } }

On this page